/*
 *  upkg: tool for manipulating Unreal Tournament packages.
 *  Copyright (C) 2009 Nick Bowler
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MUSIC_H_
#define MUSIC_H_

#include <glib-object.h>
#include <uobject/uobject.h>

#define ENGINE_MUSIC_TYPE (engine_music_get_type())
#define ENGINE_MUSIC(obj) \
	G_TYPE_CHECK_INSTANCE_CAST(obj, ENGINE_MUSIC_TYPE, EngineMusic)
#define ENGINE_MUSIC_CLASS(class) \
	G_TYPE_CHECK_CLASS_CAST(class, ENGINE_MUSIC_TYPE, EngineMusicClass)
#define ENGINE_IS_MUSIC(obj) \
	G_TYPE_CHECK_INSTANCE_TYPE(obj, ENGINE_MUSIC_TYPE)
#define ENGINE_IS_MUSIC_CLASS(class) \
	G_TYPE_CHECK_CLASS_TYPE(class, ENGINE_MUSIC_TYPE, EngineMusicClass)

typedef struct EngineMusic      EngineMusic;
typedef struct EngineMusicClass EngineMusicClass;

struct EngineMusic {
	UObject parent;
};

struct EngineMusicClass {
	UObjectClass parent;
};

GType engine_music_get_type(void);
void music_register(GTypeModule *m);

#endif
